Loading...
Searching...
No Matches
ZEP - ZigBee Encapsulation Protocol
NETIFs

## Functions

err_t | zepif_init (struct netif *netif)

## Detailed Description

A netif implementing the ZigBee Encapsulation Protocol (ZEP). This is used to tunnel 6LowPAN over UDP.

Usage (there must be a default netif before!):

netif_add(&zep_netif, NULL, NULL, NULL, NULL, zepif_init, tcpip_6lowpan_input);
netif_create_ip6_linklocal_address(&zep_netif, 1);
netif_set_up(&zep_netif);
netif_set_link_up(&zep_netif);
netif_create_ip6_linklocal_address
void netif_create_ip6_linklocal_address(struct netif *netif, u8_t from_mac_48bit)
Definition netif.c:1551
netif_add
struct netif * netif_add(struct netif *netif, const ip4_addr_t *ipaddr, const ip4_addr_t *netmask, const ip4_addr_t *gw, void *state, netif_init_fn init, netif_input_fn input)
Definition netif.c:287
netif_set_link_up
void netif_set_link_up(struct netif *netif)
Definition netif.c:1018
netif_set_up
void netif_set_up(struct netif *netif)
Definition netif.c:871
tcpip_6lowpan_input
err_t tcpip_6lowpan_input(struct pbuf *p, struct netif *inp)
Definition lowpan6.c:915
zepif_init
Definition zepif.h:58

## Function Documentation

## zepif_init()

err_t zepif_init | ( | struct netif * | netif | ) |

Set up a raw 6LowPAN netif and surround it with input- and output functions for ZEP